Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.functions
Class Function

    java.lang.Object
      unity.functions.Expression
          unity.functions.Function

Direct Known Subclasses:
  F_Abs, F_Ascii, F_Cast, F_Ceiling, F_Exp, F_Floor, F_GetValue, F_Length, F_Ln, F_Log, F_Lower, F_Position, F_Power, F_Random, F_Replace, F_Round, F_Sqrt, F_Substring

    public abstract class Function

extends Expression

Constructor Summary
`Function()`

Method Summary
`static java.lang.String` | `createHashName(java.lang.String funcName, int[] params)`
`static Function` | `findFunction(java.lang.String functionName, Expression[] params)`
`static java.lang.String` | `getFunctionName()`
`static int[]` | `getParamListTypes()`
`static void` | `initializeFunctions()`
`static java.lang.String` | `paramListToString(int[] params)`
`static Expression[]` | `validateTypes(java.lang.String funcName, int[] paramListTypes, Expression[] children)`
`static Expression[]` | `validateTypes(java.lang.String funcName, int[] paramListTypes, Expression[] children, int count)`

Methods inherited from class unity.functions.Expression
`computeType, evaluate, getAttributeIndexReferences, getChild, getExprLocs, getNumChildren, getParent, getReturnType, hasChildren, setParent, setReturnType, toString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Function

    public Function()

Method Detail

### initializeFunctions

    public static void initializeFunctions()

### getParamListTypes

    public static int[] getParamListTypes()

### getFunctionName

    public static java.lang.String getFunctionName()

### findFunction

    public static Function findFunction(java.lang.String functionName,
                                        Expression[] params)

### paramListToString

    public static java.lang.String paramListToString(int[] params)

### createHashName

    public static java.lang.String createHashName(java.lang.String funcName,
                                                  int[] params)

### validateTypes

    public static Expression[] validateTypes(java.lang.String funcName,
                                             int[] paramListTypes,
                                             Expression[] children)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### validateTypes

    public static Expression[] validateTypes(java.lang.String funcName,
                                             int[] paramListTypes,
                                             Expression[] children,
                                             int count)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD